Loading...
Searching...
No Matches
log4shib::NDCComponent Struct Reference
Inheritance diagram for log4shib::NDCComponent:
[legend]
Collaboration diagram for log4shib::NDCComponent:
[legend]

## Public Member Functions

virtual void | append (std::ostringstream &out, const LoggingEvent &event)
Public Member Functions inherited from log4shib::PatternLayout::PatternComponent
virtual | ~PatternComponent ()

## Member Function Documentation

## append()

virtual void log4shib::NDCComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event )

inline virtual

Implements log4shib::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp